EasyMercurial - Bug #353
Refresh button causing confusion
2012-01-18 08:38 PM - Chris Cannam

Status: Closed Start date: 2012-01-18
Priority: High Due date:

Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.2

Description

(Thanks to Thomas for this one.)

The EasyHg interface has separate buttons for Pull, Update, and "Refresh".

It's not unreasonable to expect Refresh to do the job of either or both of Pull and Update, and it's very hard to troubleshoot such a
misunderstanding -- "so-and-so committed some changes but they weren't showing up on my computer".

We really need to do more work to eliminate (the need for) the Refresh button.

Related issues:
Blocked by Bug # 363: Filesystem watcher can miss changes Closed 2012-01-31

History

#1 - 2012-01-18 08:39 PM - Chris Cannam

- Target version set to 1.2

#2 - 2012-02-16 02:27 PM - Chris Cannam

- Status changed from New to Resolved

#3 - 2012-02-29 10:41 AM - Chris Cannam

- Status changed from Resolved to Closed
